Skip to content
You're viewing documentation for v2026.11.12-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Replace your recovery codes

Needs a current code. The old codes stop working.

POST/api/v1/auth/two-factor/recovery-codes
Authorization
tse_sessionAPI key · cookierequired
Header parameters
X-Forwarded-Protostring
Request body
requiredapplication/json
codestring

The 6-digit code of the authenticator app

Responses
200

OK

recovery_codesstring[]required

Shown once. Each code works once.

default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/auth/two-factor/recovery-codes' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "code": "string"
}'
Response
{
  "recovery_codes": [
    "string"
  ]
}